Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglet.event
Class AgletEventListener

    java.lang.Object
      |
      +--com.ibm.aglet.event.AgletEventListener

All Implemented Interfaces:
  CloneListener, java.util.EventListener, MobilityListener, PersistencyListener, java.io.Serializable

public class AgletEventListener
extends java.lang.Object
implements CloneListener, MobilityListener, PersistencyListener

The aglet event listener class is a container class for all aglet related listener. It is not normally used by the aglet programmers.

Version:
  1.00 $Date: 2001/07/28 06:34:12 $
Author:
  Mitsuru Oshima
See Also:
  Serialized Form

Constructor Summary
`AgletEventListener()`
`AgletEventListener(CloneListener l1, CloneListener l2)` Constructs an AgletEventlistener object with specified two clone listener objects.
`AgletEventListener(MobilityListener l1, MobilityListener l2)` Constructs an AgletEventlistener object with specified two mobility listener objects.
`AgletEventListener(PersistencyListener l1, PersistencyListener l2)` Constructs an AgletEventlistener object with specified two persistency listener objects.

Method Summary
`void` | `addCloneListener(CloneListener listener)` Adds the specified clone listener object
`void` | `addMobilityListener(MobilityListener listener)` Adds the specified mobility listener object
`void` | `addPersistencyListener(PersistencyListener listener)` Adds the specified persistency listener object
`void` | `onActivation(PersistencyEvent ev)` Calls the onActivation methods on the listers with the specified persistency event.
`void` | `onArrival(MobilityEvent ev)` Calls the onArrival methods on the listers with the specified mobility event.
`void` | `onClone(CloneEvent ev)` Calls the onClone methods on the listers with the specified Clone event.
`void` | `onCloned(CloneEvent ev)` Calls the onCloned methods on the listers with the specified Clone event.
`void` | `onCloning(CloneEvent ev)` Calls the onCloning methods on the listers with the specified Clone event.
`void` | `onDeactivating(PersistencyEvent ev)` Calls the onDeactivating methods on the listers with the specified persistency event.
`void` | `onDispatching(MobilityEvent ev)` Calls the onDispatching methods on the listers with the specified mobility event.
`void` | `onReverting(MobilityEvent ev)` Calls the onReverting methods on the listers with the specified mobility event.
`void` | `removeCloneListener(CloneListener listener)` Removes the specified clone listener object
`void` | `removeMobilityListener(MobilityListener listener)` Removes the specified mobility listener object
`void` | `removePersistencyListener(PersistencyListener listener)` Removes the specified persistency listener object
`int` | `size()` Returns the number of listeners

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgletEventListener

    public AgletEventListener()

### AgletEventListener

    public AgletEventListener(CloneListener l1,
                              CloneListener l2)

  Constructs an AgletEventlistener object with specified two clone listener objects.

### AgletEventListener

    public AgletEventListener(MobilityListener l1,
                              MobilityListener l2)

  Constructs an AgletEventlistener object with specified two mobility listener objects.

### AgletEventListener

    public AgletEventListener(PersistencyListener l1,
                              PersistencyListener l2)

  Constructs an AgletEventlistener object with specified two persistency listener objects.

Method Detail

### addCloneListener

    public void addCloneListener(CloneListener listener)

  Adds the specified clone listener object

### addMobilityListener

    public void addMobilityListener(MobilityListener listener)

  Adds the specified mobility listener object

### addPersistencyListener

    public void addPersistencyListener(PersistencyListener listener)

  Adds the specified persistency listener object

### onActivation

    public void onActivation(PersistencyEvent ev)

  Calls the onActivation methods on the listers with the specified persistency event.
  Specified by:
    `onActivation` in interface `PersistencyListener`

### onArrival

    public void onArrival(MobilityEvent ev)

  Calls the onArrival methods on the listers with the specified mobility event.
  Specified by:
    `onArrival` in interface `MobilityListener`

### onClone

    public void onClone(CloneEvent ev)

  Calls the onClone methods on the listers with the specified Clone event.
  Specified by:
    `onClone` in interface `CloneListener`

### onCloned

    public void onCloned(CloneEvent ev)

  Calls the onCloned methods on the listers with the specified Clone event.
  Specified by:
    `onCloned` in interface `CloneListener`

### onCloning

    public void onCloning(CloneEvent ev)

  Calls the onCloning methods on the listers with the specified Clone event.
  Specified by:
    `onCloning` in interface `CloneListener`

### onDeactivating

    public void onDeactivating(PersistencyEvent ev)

  Calls the onDeactivating methods on the listers with the specified persistency event.
  Specified by:
    `onDeactivating` in interface `PersistencyListener`

### onDispatching

    public void onDispatching(MobilityEvent ev)

  Calls the onDispatching methods on the listers with the specified mobility event.
  Specified by:
    `onDispatching` in interface `MobilityListener`

### onReverting

    public void onReverting(MobilityEvent ev)

  Calls the onReverting methods on the listers with the specified mobility event.
  Specified by:
    `onReverting` in interface `MobilityListener`

### removeCloneListener

    public void removeCloneListener(CloneListener listener)

  Removes the specified clone listener object

### removeMobilityListener

    public void removeMobilityListener(MobilityListener listener)

  Removes the specified mobility listener object

### removePersistencyListener

    public void removePersistencyListener(PersistencyListener listener)

  Removes the specified persistency listener object

### size

    public int size()

  Returns the number of listeners

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD